#
# by Jason Woodward <woodwardj@jaos.org>
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

package PerlWebmail::Theme;
require Exporter;
@ISA = 'Exporter';
@EXPORT = qw( print_footer print_html_header print_login );

### for custom footers
sub print_footer {
  print qq!</body></html>!;
}

### for custom headers
sub print_html_header {
  my ($global) = @_;
  print qq|
    <\!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
    <html><head><title>$global->{config}->{hostname} - Webmail</title>
      <LINK REL="icon" HREF="http://webmail.jaos.org/images/favicon.png" TYPE="image/png">
      <LINK REL="SHORTCUT ICON" HREF="http://webmail.jaos.org/images/favicon.png">
      <link rel="stylesheet" type="text/css" href="$global->{config}->{cssurl}" title="Default">
    </head><body>
  |;
}

sub print_login {
  my ($global,$errmsg) = @_;

  unless ($errmsg){
    $errmsg = '';
  }else{
    $errmsg = '<p id="error">' . $global->{language}->{ERRNO_MESSAGE} . '<br>[' . $errmsg . ']';
  }

  print qq|
    <table class="login-header">
      <tr>
        <td>
          <b>$global->{config}->{hostname} - $global->{language}->{LOGIN_TITLE_LOGIN}</b>
        </td>
      </tr>
    </table>
    $errmsg

    <body onload="document.login_form.username.focus();">

    <br><br>
    <table class="login">
      <tr><td>
        <form name="login_form" method="post">
        <input type="hidden" name="action" value="show_folder">
        <input type="hidden" name="folder" value="inbox">
        <b>$global->{language}->{LOGIN_USERNAME}</b>
        <br><input type="text" name="username"><br>
        <b>$global->{language}->{LOGIN_PASSWORD}</b>
        <br><input type="password" name="password"><br>
        <input id="submit1" type="submit" value="$global->{language}->{LOGIN}">
        </form>
      </td></tr>
    </table>
  |;
}
1;
